# Class `Objects.Camera`

Basic cameras that can point at Lara or at a CAMERA_TARGET.

## Functions

Camera:GetPosition() | Get the camera's position
Camera:SetPosition(position) | Set the camera's position
Camera:GetName() | Get the camera's unique string identifier
Camera:SetName(name) | Set the camera's name (its unique string identifier)
Camera:GetRoom() | Get the current room of the camera
Camera:GetRoomNumber() | Get the current room number of the camera
Camera:SetRoomNumber(ID) | Set room of camera This is used in conjunction with SetPosition to teleport the camera to a new room.
Camera:PlayCamera([Target]) | Active the camera during that frame.

## Functions

Camera:GetPosition()
  Get the camera's position

  ### Returns:

  Vec3 a copy of the camera's position
Camera:SetPosition(position)
  Set the camera's position

  ### Parameters:

  - position Vec3 the new position of the camera
Camera:GetName()
  Get the camera's unique string identifier

  ### Returns:

  string the camera's name
Camera:SetName(name)
  Set the camera's name (its unique string identifier)

  ### Parameters:

  - name string The camera's new name
Camera:GetRoom()
  Get the current room of the camera

  ### Returns:

  Room current room of the camera
Camera:GetRoomNumber()
  Get the current room number of the camera

  ### Returns:

  int number representing the current room of the camera
Camera:SetRoomNumber(ID)
  Set room of camera This is used in conjunction with SetPosition to teleport the camera to a new room.

  ### Parameters:

  - ID int the ID of the new room
Camera:PlayCamera([Target])
  Active the camera during that frame.

  ### Parameters:

  - Target Moveable If you put a moveable, the camera will look at it. Otherwise, it will look at Lara. (optional)

generated by TEN-LDoc (a fork of LDoc 1.4.6)